SND_SOC_JACK_ADD_PIN(9)

NAME
snd_soc_jack_add_pins - Associate DAPM pins with an ASoC jack

SYNOPSIS

int snd_soc_jack_add_pins(struct snd_soc_jack * jack, int count, struct snd_soc_jack_pin * pins);

ARGUMENTS

jack
    ASoC jack

count
    Number of pins

pins
    Array of pins

DESCRIPTION

After this function has been called the DAPM pins specified in the pins array will have their status updated to reflect the current state of the jack whenever the jack status is updated.

COPYRIGHT